package com.mcwl.comment.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.comment.domain
 * @Filename：Comment
 * @Description 评论表
 * @Date：2025/1/4 18:47
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("mall_product_comment")
public class Comment extends BaseEntity {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 父评论ID
     */
    private String parentId;
    /**
     * 商品ID
     */
    private String productId;
    /**
     * 用户ID
     */
    private String userId;
    /**
     * 评论内容
     */
    private String content;
    /**
     * 评分
     */
    private String rating;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;
}
