package com.mcwl.comment.domain;

import com.mcwl.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.comment.domain
 * @Filename：ProductCommentEntity
 * @Description 评论实体
 * @Date：2025/1/6 13:21
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class ProductCommentEntity extends BaseEntity {

    /**
     * 父评论ID
     */
    private Long parentId;

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 评论内容
     */
    private String content;

    /**
     * 评分
     */
    private Integer rating;

//    /**
//     * 评论类型
//     */
//    private Integer type;
}
